Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class ReportingBasePluginConvention

    java.lang.Object
      org.gradle.api.plugins.ReportingBasePluginConvention

    public class ReportingBasePluginConvention

extends Object

A `BasePluginConvention` defines the convention properties and methods used by the `ReportingBasePlugin`.

Constructor Summary
`ReportingBasePluginConvention(org.gradle.api.internal.project.ProjectInternal project)`

Method Summary
`String` | `getApiDocTitle()` Returns the title for API documentation for the project.
`File` | `getReportsDir()` Returns the directory containing all reports for this project.
`String` | `getReportsDirName()` Returns the name of the reports directory, relative to the project's build directory.
`void` | `setReportsDirName(String reportsDirName)` Sets the name of the reports directory, relative to the project's build directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportingBasePluginConvention

    public ReportingBasePluginConvention(org.gradle.api.internal.project.ProjectInternal project)

Method Detail

### getReportsDirName

    public String getReportsDirName()

  Returns the name of the reports directory, relative to the project's build directory.

  Returns:
    The reports directory name. Never returns null.

### setReportsDirName

    public void setReportsDirName(String reportsDirName)

  Sets the name of the reports directory, relative to the project's build directory.

  Parameters:
    `reportsDirName` - The reports directory name. Should not be null.

### getReportsDir

    public File getReportsDir()

  Returns the directory containing all reports for this project.

  Returns:
    The reports directory. Never returns null.

### getApiDocTitle

    public String getApiDocTitle()

  Returns the title for API documentation for the project.

  Returns:
    The title. Never returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD